if select(2,UnitClass("player")) ~= "MONK" then return end

local LibStub = LibStub
local AceAddon = LibStub("AceAddon-3.0")
local string_match= string.match
local tonumber = tonumber

local SpiritedCrane = AceAddon:NewAddon("SpiritedCrane", "AceEvent-3.0","AceConsole-3.0")

local cvar_width,cvar_height = string_match(GetCVar("gxResolution"), "(%d+)x(%d+)")
cvar_width = tonumber(cvar_width)
cvar_height = tonumber(cvar_height)
local cvar_min = min(cvar_width,cvar_height)
--------------------------------------------------------------------------------------
local AceDB = LibStub("AceDB-3.0")
local AceConfigDialog = LibStub("AceConfigDialog-3.0")
local AceConfigCmd = LibStub("AceConfigCmd-3.0")
--------------------------------------------------------------------------------------
local init_db=
{
	profile = 
	{
		lock = false,
		pos_left = cvar_width / 3,
		pos_top = cvar_height / 2,
		icon_size = 65,
		refresh_rate = 0.1,
		expel_harm = false,
		tp_prepared_gcd = 2,
		bok_prepared_gcd = 1,
		rsk_prepared_gcd = 1,
		surging_mist_chi_explosion = true,
		vital_mist = true,
		t17 = true
	}
}

function SpiritedCrane:OnInitialize()
	SpiritedCrane.db = AceDB:New("SpiritedCraneDB", init_db,true)
	self:OnCoreInitialize()
	self:RegisterEvent("PLAYER_SPECIALIZATION_CHANGED")
	self:RegisterEvent("PLAYER_ENTERING_WORLD","PLAYER_SPECIALIZATION_CHANGED")
	self:RegisterChatCommand("SpiritedCrane", "ChatCommand")
end

function SpiritedCrane:ChatCommand(input)
	if IsAddOnLoaded("SpiritedCrane_Options") == false then
		local loaded , reason = LoadAddOn("SpiritedCrane_Options")
		if loaded == false then
			self:Print("SpiritedCrane_Options: "..reason)
			return
		end
	end
	if not input or input:trim() == "" then
		AceConfigDialog:Open("SpiritedCrane")
	else
		AceConfigCmd:HandleCommand("SpiritedCrane", "SpiritedCrane","")
		AceConfigCmd:HandleCommand("SpiritedCrane", "SpiritedCrane",input)
	end
end